# Suitable Phones


## Installation

```
git clone https://git.lattuga.net/d0c/suitablephones.git
virtualenv .
source bin/activate
pip install -r requirements.txt
python manage.py migrate
python manage.py createsuperuser
```
  

Download Lineage official wiki as data source.
Yaml files descripting all devices are in _"lineage_wiki/_data/devices/"_

```
git clone https://github.com/LineageOS/lineage_wiki.git
```

Set _LINEAGEWIKI_ variable in _mysuitablephone/settings.py_ with the proper path of lineage_wiki.

es.
```
LINEAGEWIKI = '/home/d0c/lineage_wiki'
```

Populate database:
```
python manage.py fetchphones
```

Run

```
python manage.py runserver
```

### ToDo

- [] add .env